: Interface CvsHandlerInterface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigedit.cvs
Interface CvsHandlerInterface

All Known Implementing Classes:
  CvsDirectoryHandler

public interface CvsHandlerInterface

Method Summary
`void` | `perform(Request request, java.lang.String action, java.lang.String regexp)` Perform action on the given cvs entry, on behalf of the given client.
`void` | `perform(Request request, java.lang.String action, java.lang.String[] names, java.lang.String[] revs)` Perform action on the given cvs entry, on behalf of the given client.
`void` | `perform(Request request, java.lang.String action, java.lang.String[] names, java.lang.String[] revs, java.lang.String comment)` Perform action on the given cvs entry, on behalf of the given client.
`void` | `perform(Request request, java.lang.String action, java.lang.String regexp, java.lang.String comment)` Perform action on the given cvs entry, on behalf of the given client.

Method Detail

### perform

    public void perform(Request request,
                        java.lang.String action,
                        java.lang.String regexp,
                        java.lang.String comment)
                 throws ProtocolException

  Perform action on the given cvs entry, on behalf of the given client.
  Parameters:
    `request` - The request to handle.
    `action` - The action to perform.
    `regexp` - The regular expression
    `comment` - Some comments describing your changes.
  Throws:
    ProtocolException - If the action couldn't be performed.

### perform

    public void perform(Request request,
                        java.lang.String action,
                        java.lang.String regexp)
                 throws ProtocolException

  Perform action on the given cvs entry, on behalf of the given client.
  Parameters:
    `request` - The request to handle.
    `action` - The action to perform.
    `regexp` - The regular expression
  Throws:
    ProtocolException - If the action couldn't be performed.

### perform

    public void perform(Request request,
                        java.lang.String action,
                        java.lang.String[] names,
                        java.lang.String[] revs)
                 throws ProtocolException

  Perform action on the given cvs entry, on behalf of the given client.
  Parameters:
    `request` - The request to handle.
    `action` - The action to perform.
    `entry` - The entry to act on.
    `direntries` - the directories to act on
  Throws:
    ProtocolException - If the action couldn't be performed.

### perform

    public void perform(Request request,
                        java.lang.String action,
                        java.lang.String[] names,
                        java.lang.String[] revs,
                        java.lang.String comment)
                 throws ProtocolException

  Perform action on the given cvs entry, on behalf of the given client.
  Parameters:
    `request` - The request that triggered the processing.
    `action` - The action to perform.
    `entry` - The entry to act on.
    `direntries` - the directories to act on
    `comment` - Some comments describing your changes.
  Throws:
    ProtocolException - If the action couldn't be performed.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD